| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::GCall Class Referencefinal

`#include <opencv2/gapi/gcall.hpp>`

## Public Member Functions
| GCall (const GKernel &k)
| ~GCall ()
template<typename... Ts>
GCall & | pass (Ts &&... args)
Priv & | priv ()
const Priv & | priv () const
GMat | yield (int output=0)
template<class T >
GArray< T > | yieldArray (int output=0)
template<class T >
GOpaque< T > | yieldOpaque (int output=0)
GMatP | yieldP (int output=0)
GScalar | yieldScalar (int output=0)

## Protected Member Functions
void | setArgs (std::vector< GArg > &&args)
detail::GArrayU | yieldArray (int output=0)
detail::GOpaqueU | yieldOpaque (int output=0)

## Protected Attributes
std::shared_ptr< Priv > | m_priv

## Constructor & Destructor Documentation

## ◆ GCall()

cv::GCall::GCall | ( | const GKernel & | k | ) |
| explicit

## ◆ ~GCall()

cv::GCall::~GCall | ( |  | ) |

## Member Function Documentation

## ◆ pass()

template<typename... Ts>

GCall& cv::GCall::pass | ( | Ts &&... | args | ) |
| inline

## ◆ priv() [1/2]

Priv& cv::GCall::priv | ( |  | ) |

## ◆ priv() [2/2]

const Priv& cv::GCall::priv | ( |  | ) | const

## ◆ setArgs()

void cv::GCall::setArgs | ( | std::vector< GArg > && | args | ) |
| protected

## ◆ yield()

GMat cv::GCall::yield | ( | int | output = `0` | ) |

## ◆ yieldArray() [1/2]

template<class T >

GArray<T> cv::GCall::yieldArray | ( | int | output = `0` | ) |
| inline

## ◆ yieldArray() [2/2]

detail::GArrayU cv::GCall::yieldArray | ( | int | output = `0` | ) |
| protected

## ◆ yieldOpaque() [1/2]

template<class T >

GOpaque<T> cv::GCall::yieldOpaque | ( | int | output = `0` | ) |
| inline

## ◆ yieldOpaque() [2/2]

detail::GOpaqueU cv::GCall::yieldOpaque | ( | int | output = `0` | ) |
| protected

## ◆ yieldP()

GMatP cv::GCall::yieldP | ( | int | output = `0` | ) |

## ◆ yieldScalar()

GScalar cv::GCall::yieldScalar | ( | int | output = `0` | ) |

## Member Data Documentation

## ◆ m_priv

std::shared_ptr<Priv> cv::GCall::m_priv
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/gcall.hpp